[android-components](../index.md) / [mozilla.components.feature.downloads.ext](./index.md)

## Package mozilla.components.feature.downloads.ext

### Functions

| Name | Summary |
|---|---|
| [getDownloadExtra](get-download-extra.md) | `fun <ERROR CLASS>.getDownloadExtra(): `[`DownloadState`](../mozilla.components.browser.state.state.content/-download-state/index.md)`?` |
| [putDownloadExtra](put-download-extra.md) | `fun <ERROR CLASS>.putDownloadExtra(download: `[`DownloadState`](../mozilla.components.browser.state.state.content/-download-state/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
